GFLSOF(1)

NAME
gflsof - list currently opened Gfarm files

SYNOPSIS

gflsof [-AW] [-P path] [-D domainname-of-gfsd] [-U domainname-of-user-host] [-u username]

gflsof [-AW] [-P path] [-D domainname-of-gfsd] [-U domainname-of-user-host] [-u username] -C

gflsof [-AW] [-P path] [-D domainname-of-gfsd] [-U domainname-of-user-host] [-u username] -G

DESCRIPTION

Displays information about each Gfarm file descriptors, if neither -C nor -G is specified. The USER field shows username, the GPID field shows Gfarm process ID, the FD field shows Gfarm file descriptor number, if the character just after the descriptor number is 'r', it means read-only open, if the character is 'w', it means write-only open, and if the character is 'u', it means read-write open, the TYPE fields shows the type of the inode (REG is a file, DIR is a directory and LNK is a symbolic link), the INODE field shows the inode number, the GEN field shows the generation number of the inode, the SIZE/OFF shows the seek-offset value if the inode is a directory, or the file size if the inode is a file, the CLIENT field shows hostname and port number of the client which is connecting to the gfmd, the GFSD field shows hostname and port number of the gfsd which is connecting to the gfmd.

If -C option is specified, this command shows only hostnames of clients which are opening descriptors.

If -G option is specified, this command shows only hostnames of gfsd which are opening file replicas.

OPTIONS

-A
    Display information about all users. Only gfarmadm group is allowed to use this option.

-W
    Limit subject descriptors to which are either write-only opened or read-write opened.

-P path
    Specify a pathname or a Gfarm URL to identify metadata server which will be accessed by this command. If not specified, "." is used as the default value.

-D domainname-of-gfsd
    Limit subject descriptors to which gfsd is currently opening a replica and the gfsd belongs to the specified domain.

-U domainname-of-user-host
    Limit subject descriptors to which client host belongs to the specified domain.

-u username
    Limit subject descriptors to which is opened by the specified user. Only gfarmadm group is allowed to use this option.

-?
    Displays a list of command options.

EXAMPLES

Example 1. list file descriptors which are opened by myself

    gflsof

Example 2. list all users' file descriptors

    gflsof -A

Example 3. list filesystem nodes which are currently opening file replicas in writable mode

    gflsof -AWG

Example 4. list descriptors that corresponding gfsd processes are opening file replicas in writable mode

    gflsof -AW -D ''

Example 5. list client hosts which belong to example.org domain and user john is opening descriptors on the hosts

    gflsof -U example.org -u john -C